Name: cpl
Version: 6.4.2
Release: 2%{?dist}
Summary: ESO library for automated astronomical data-reduction tasks

Group: Development/Libraries
License: GPLv2+
URL: http://www.eso.org/sci/software/cpl/
Source: ftp://ftp.eso.org/pub/dfs/pipelines/libraries/cpl/%{name}-%{version}.tar.gz
# Informed upstream 2008-12-18
Patch0: cpl-alldyn.patch

BuildRequires: cfitsio-devel wcslib-devel fftw-devel

%description
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries 
that provide a comprehensive, efficient and robust software toolkit. 
It forms a basis for the creation of automated astronomical data-reduction 
tasks (known as "pipelines") for ESO (European Southern Observatory) 
instruments. The CPL was developed to standardize the way 
VLT (Very Large Telescope) instrument pipelines are built, 
to shorten their development cycle and to ease their maintenance. 

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
These are the header files and libraries needed to develop a %{name}
application

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static
# http://fedoraproject.org/wiki/PackagingGuidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS BUGS COPYING NEWS
%{_libdir}/*so.*

%files devel
%doc README
%{_libdir}/*.so
%{_includedir}/*
%exclude %{_libdir}/*.la

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 13 2014 Sergio Pascual <sergiopr@fedoraproject.org> - 6.4.2-1
- New upstream source 6.4.2

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 09 2014 Sergio Pascual <sergiopr@fedoraproject.org> 6.3.1-3
- Rebuilt for new cfitsio (3.360)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jul 16 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 6.3.1-1
- New upstream source 6.3.1
- EVR bump to rebuild with new cfitsio 3.350

* Sat Mar 23 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 6.2-2
- EVR bump to rebuild with new cfitsio 3.340

* Thu Feb 14 2013 Sergio Pascual <sergiopr@fedoraproject.org> - 6.2-1
- New upstream source 6.2
- Updated URL and Source0 URL
- Merged patches

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 18 2012 Sergio Pascual <sergiopr at fedoraproject.org> - 5.3.1-4
- Using system fftw libraries

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Aug 24 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 5.3.1-2
- Rebuilt to match new wcslib 4.8

* Thu Mar 17 2011 Sergio Pascual <sergiopr@fedoraproject.org> - 5.3.1-1
- New upstream source

* Wed Feb 23 2011 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2.0-4
- Rebuilt to match new wcslib 4.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 10 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2.0-4
- Rebuilt to match new wcslib 4.6.3

* Wed Nov 10 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2.0-3
- Rebuilt to match new wcslib 4.5.6

* Fri May 21 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.2.0-2
- New upstream source

* Wed Mar 10 2010 Sergio Pascual <sergiopr at fedoraproject.org> - 5.0.1-3
- Rebuilt to match new cfitsio 3.240

* Tue Nov 03 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 5.0.1-2
- Rebuilt for cfitsio-3.210-2

* Wed Oct 28 2009 Sergio Pascual <sergiopr at fedoraproject.org> - 5.0.1-1
- New upstream source

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Sergio Pascual <sergiopr at fedoraproject.org> 4.2.0-3
- Enabled wcslib support

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.2.0-1
- New upstream source

* Sun Apr 06 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.1.0-1
- New upstream source

* Sat Feb 09 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.0.1-2
- Updated upstream sources.
- Fixing multilib bug (bz#340941)

* Tue Oct 09 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-2
- Updated qfits patch to build in 64 bits systems

* Tue Sep 25 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-1
- Minor changes

* Thu Sep 13 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.3
- Updated license tag

* Thu May 03 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.2
- Added dir for recipes.

* Thu Apr 26 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.1
- Initial spec file.
